Switch = Core.class(Sprite)

function Switch:init(button1, button2)
	self.button1 = button1
	self.button2 = button2
	self:addChild(button1)
    self.state = false
    self.button1:addEventListener("click", self.changeState, self)
    self.button2:addEventListener("click", self.changeState, self)
    self.onChange = Event.new("onChange")
end

function Switch:changeState()
    self.state = not self.state
	if self.state then
		if self:contains(self.button1) then
			self:removeChild(self.button1)
		end
		self:addChild(self.button2)
	else
		if self:contains(self.button2) then
			self:removeChild(self.button2)
		end
		self:addChild(self.button1)
	end
    self.onChange.state = self.state
    self:dispatchEvent(self.onChange)
end
 
function Switch:getState()
      return self.state
end
 
local checkboxon = Button.new(Bitmap.new(Texture.new("check_tick.png")), Bitmap.new(Texture.new("check_box.png")))
local checkboxoff= Button.new(Bitmap.new(Texture.new("check_box.png")), Bitmap.new(Texture.new("check_tick.png")))
 
switch = Switch.new(checkboxon , checkboxoff)
 
switch:addEventListener("onChange", function(e)
	print(e.state)
 
    if e.state then
       --not checked state do your job inside here
 
    else
      --checked state, do your job inside here
    end
end)